--- Makefile.global.old	2011-09-15 10:27:20.000000000 +0200
+++ Makefile.global	2011-09-19 10:39:53.723918117 +0200
@@ -125,16 +125,16 @@
 PG_CONFIG = pg_config
 endif
 
-bindir := $(shell $(PG_CONFIG) --bindir)
-datadir := $(shell $(PG_CONFIG) --sharedir)
-sysconfdir := $(shell $(PG_CONFIG) --sysconfdir)
-libdir := $(shell $(PG_CONFIG) --libdir)
-pkglibdir := $(shell $(PG_CONFIG) --pkglibdir)
-includedir := $(shell $(PG_CONFIG) --includedir)
-pkgincludedir := $(shell $(PG_CONFIG) --pkgincludedir)
-mandir := $(shell $(PG_CONFIG) --mandir)
-docdir := $(shell $(PG_CONFIG) --docdir)
-localedir := $(shell $(PG_CONFIG) --localedir)
+bindir := $(shell winepath -u `$(PG_CONFIG) --bindir` | dos2unix)
+datadir := $(shell winepath -u `$(PG_CONFIG) --sharedir` | dos2unix)
+sysconfdir := $(shell winepath -u `$(PG_CONFIG) --sysconfdir` | dos2unix)
+libdir := $(shell winepath -u `$(PG_CONFIG) --libdir` | dos2unix)
+pkglibdir := $(shell winepath -u `$(PG_CONFIG) --pkglibdir` | dos2unix)
+includedir := $(shell winepath -u `$(PG_CONFIG) --includedir` | dos2unix)
+pkgincludedir := $(shell winepath -u `$(PG_CONFIG) --pkgincludedir` | dos2unix)
+mandir := $(shell winepath -u `$(PG_CONFIG) --mandir` | dos2unix)
+docdir := $(shell winepath -u `$(PG_CONFIG) --docdir` | dos2unix)
+localedir := $(shell winepath -u `$(PG_CONFIG) --localedir` | dos2unix)
 
 endif # PGXS
 
